Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Type_Simple

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Type_Base
              rdlc.sw.Type_Simple

All Implemented Interfaces:
  Expression, Field, Type

    public class Type_Simple

extends Type_Base

A slight extension of a base language type. This class can represent a bit list by having a positive bit width, or a standard type with one of the enumerated negative bitwidths.

Version:
  $Revision: 1.11 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.sw.Type
`Type.Default`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected int` | `bitwidth` The bitwidth of this type.
`static Type_Simple` | `booleanType` Simple boolean type.
`static int` | `BW_BOOLEAN` Boolean datatype.
`static int` | `BW_CHAR` Character, bitwidth unknown.
`static int` | `BW_DOUBLE` Double precision floating point.
`static int` | `BW_EXCEPTION` Exception type for use with structured exceptions.
`static int` | `BW_FLOAT` Single precision floating point.
`static int` | `BW_INT` Integer, should be 32 bit.
`static int` | `BW_INVALID` First invalid bitwidth value for error checking.
`static int` | `BW_STRING` Character string.
`static int` | `BW_VOID` The void type.
`static Type_Simple` | `exceptionType` Simple exception type.
`static Type_Simple` | `intType` Simple integer (32bit) type.
`static Type_Simple` | `stringType` Simple string type.
`static Type_Simple` | `voidStaticType` Simple static void type.
`static Type_Simple` | `voidType` Simple void type.

Fields inherited from class rdlc.sw.Type_Base
`arrayBound, xconstant, xstatic`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Fields inherited from interface rdlc.sw.Type
`ARRAY_INFINITE, ARRAY_SINGLETON`

Constructor Summary
`Type_Simple(java.lang.String name, Instance _instance, int _bitwidth, int _arrayBound, boolean _static, boolean _constant)` Simple constructor, merely stores the given arguments.
`Type_Simple(java.lang.String _name, Instance _instance, Type_Simple _other)` Copy construcor.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`int` | `getBitwidth()` Simple accessor.
`Type.Default` | `getDefault()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Type_Base
`getArrayBound, isConstant, isStatic`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### BW_VOID

    public static final int BW_VOID

  The void type.

  See Also:
    Constant Field Values

### BW_FLOAT

    public static final int BW_FLOAT

  Single precision floating point.

  See Also:
    Constant Field Values

### BW_DOUBLE

    public static final int BW_DOUBLE

  Double precision floating point.

  See Also:
    Constant Field Values

### BW_BOOLEAN

    public static final int BW_BOOLEAN

  Boolean datatype.

  See Also:
    Constant Field Values

### BW_INT

    public static final int BW_INT

  Integer, should be 32 bit.

  See Also:
    Constant Field Values

### BW_CHAR

    public static final int BW_CHAR

  Character, bitwidth unknown.

  See Also:
    Constant Field Values

### BW_STRING

    public static final int BW_STRING

  Character string.

  See Also:
    Constant Field Values

### BW_EXCEPTION

    public static final int BW_EXCEPTION

  Exception type for use with structured exceptions.

  See Also:
    Constant Field Values

### BW_INVALID

    public static final int BW_INVALID

  First invalid bitwidth value for error checking.

  See Also:
    Constant Field Values

### voidType

    public static final Type_Simple voidType

  Simple void type.

### voidStaticType

    public static final Type_Simple voidStaticType

  Simple static void type.

### stringType

    public static final Type_Simple stringType

  Simple string type.

### booleanType

    public static final Type_Simple booleanType

  Simple boolean type.

### intType

    public static final Type_Simple intType

  Simple integer (32bit) type.

### exceptionType

    public static final Type_Simple exceptionType

  Simple exception type.

### bitwidth

    protected int bitwidth

  The bitwidth of this type. Positive indicates a bit list. Negative indicates a special enumerated type.

Constructor Detail

### Type_Simple

    public Type_Simple(java.lang.String name,
                       Instance _instance,
                       int _bitwidth,
                       int _arrayBound,
                       boolean _static,
                       boolean _constant)

  Simple constructor, merely stores the given arguments.

  Parameters:
    `name` - The name of this type, not often used.
    `_instance` - The instance to add this type to.
    `_bitwidth` - The bitwidth of this type.
    `_arrayBound` - The array bound on this type.
    `_static` - Is this a static type?
    `_constant` - Is this a constant type?

### Type_Simple

    public Type_Simple(java.lang.String _name,
                       Instance _instance,
                       Type_Simple _other)

  Copy construcor.

  Parameters:
    `_name` - The name of this type, not often used.
    `_instance` - The instance to add this type to.
    `_other` - The type to copy.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this type for debugging.

### getBitwidth

    public int getBitwidth()

  Simple accessor.

  Returns:
    The bitwidth of this type.

### getDefault

    public Type.Default getDefault()

  Description copied from interface: `Type`
  Simple accessor.

  Returns:
    The default value for variables of this type.
  See Also:
    `Type.getDefault()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD